<?php
/*--------------------------------------------------------------
# Modish - April 2008 (for Joomla 1.5)
# Copyright (C) 2007-2008 Gavick.com. All Rights Reserved.
# License: Copyrighted Commercial Software
# Website: http://www.gavick.com
# Support: support@gavick.com 
---------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die('Restricted access');

include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
$template_baseurl = $this->baseurl . '/templates/' . $this->template;
JHTML::_('behavior.mootools');

$mtype = $this->params->get("menutype", "moomenu");
$datatop = ($this->params->get("datatop", 1)  == 2) ? false : true;
$menu = & JSite::getMenu();
$frontpage_i = ($menu->getActive() == $menu->getDefault());		
$url = clone(JURI::getInstance());		
$login_link = ($this->params->get("login", 1) == 0) ? false : true;
$register_link = ($this->params->get("register", 1) == 0) ? false : true;
// getting User object and user ID 
$user =& JFactory::getUser();
$userID = $user->get('id');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<jdoc:include type="head" />
<?php 
    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	$stylearea = ($this->params->get("stylearea", 1)  == 0) ? false : true;
?>
</head>
<body id="bg">
<div id="memberarea">
        <div class="page960">
                <?php if ($this->countModules('advert2')) : ?>
                <jdoc:include type="modules" name="advert2" style="raw" />
                <?php endif; ?>
				<?php if ($stylearea) : ?>
                <div id="stylearea">
                        <a href="#" id="st_icon-1" class="style_switcher"></a>
                        <a href="#" id="st_icon-2" class="style_switcher"></a>
                        <a href="#" id="st_icon-3" class="style_switcher"></a>
                </div>
				<?php endif; ?>
        </div>
        <!--memberarea -->
</div>
<div class="page960">
        <div id="top">
                <a href="<?php echo $this->baseurl;?>" class="nounder" id="logo"></a>
                <div id="top_right">
                        <jdoc:include type="modules" name="advert1" style="raw" />
                        
                        <?php
            				// if user not logged in
							if($userID == 0) :
						?>
						<?php if($register_link) : ?>
                			<a href="index.php?option=com_user&task=register"><?php echo JText::_("Register");?></a>
                		<?php endif;?>
                		<?php if($login_link) : ?>
                			<a href="#" id="remember" class="bl"><?php echo JText::_("Login");?></a>
                		<?php endif;?>
                		<?php 
							// if user is logged in - show information
							else : 
						?>
                			<a href="#" id="remember"><?php echo JText::_("Open a User Area"); ?></a>
                		<?php endif; ?>

                </div>
                <!--top -->
        </div>
        <div id="m_top">
                <?php if($datatop) : ?>
                <span id="datas"><?php echo JHTML::_('date', 'now' ) ?></span>
                <?php endif; ?>
                <div id="horiz-menu" class="nav">
                        <?php echo $main_navigation;?>
                </div>
                <!--m_top -->
        </div>
        <jdoc:include type="module" name="breadcrumbs"/>
        <div id="restpage">
                <?php if ($this->countModules('banner')) : ?>
                <div class="us-stand">
                        <jdoc:include type="modules" name="banner" style="gavickpro" headerLevel="3" />
                </div>
                <?php endif; ?>
                <div id="content_wrap">
                        <div id="component<?php echo $w_count ?>">
                                <?php if ($this->countModules('top')) : ?>
                                <div class="us-stand">
                                        <jdoc:include type="modules" name="top" style="gavickpro" headerLevel="3" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('user1') or $this->countModules('user2')) : ?>
                                <div id="user_position-1" class="<?php echo $user_position_1w; ?>">
                                        <?php if ($this->countModules('user1')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user1" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules( 'user1 and user2' )) : ?>
                                        <div class="spacer"></div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user2')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user2" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                                <?php endif; ?>
                                <div id="mainbody">
                                        <div class="moduletable_add">
                                                <jdoc:include type="component" />
                                        </div>
                                </div>
                                <?php if ($this->countModules('user3') or $this->countModules('user4')) : ?>
                                <div id="user_position-2" class="<?php echo $user_position_2w; ?>">
                                        <?php if ($this->countModules('user3')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user3" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules( 'user3 and user4' )) : ?>
                                        <div class="spacer"></div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user4')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user4" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                                <?php endif; ?>     
                                <?php if ($this->countModules('bottom')) : ?>
                                <div class="us-stand">
                                        <jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
                                </div>
                                <?php endif; ?>
                        </div>
                        <?php if ($this->countModules('right')) : ?>
                        <div id="right">
                                <jdoc:include type="modules" name="right" style="gavickpro" headerLevel="3" />
                        </div>
                        <?php endif; ?>
                </div>
                <div id="us_bottom">
                        <?php if ($this->countModules('user5') or $this->countModules('user6') or $this->countModules('user7') or $this->countModules('user8')) : ?>
                        <div id="user_position-3" class="<?php echo $user_position_3w; ?> clearfix">
                                <div class="border clearfix">
                                        <?php if ($this->countModules('user5')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user5" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user6')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user6" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user7')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user7" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user8')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user8" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                        </div>
                        <?php endif; ?>
                        <div id="user_position-4" class="<?php echo $user_position_4w; ?> clearfix">
                                <?php if ($this->countModules('user9') or $this->countModules('user10') or $this->countModules('user11') or $this->countModules('user12')) : ?>
                                <div class="border clearfix">
                                        <?php if ($this->countModules('user9')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user9" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user10')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user10" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user11')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user11" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user12')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user12" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                        </div>
                        <?php endif; ?>
                        <!--us_bottom -->
                </div>
                <!--restpage -->
        </div>
		
        <!--page960 -->
        <div id="footer_wrap">
                <div id="footer">
                        <?php include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); ?>
                </div>
        </div>
		
		<?php if($this->params->get("ie6info", 1) == 1): ?>
		<div id="ie6">
			<div>
                <?php include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_ie6.php'); ?>
			</div>
		</div>
		<?php endif; ?>
</div>
</body>
</html>
